Package org.tukaani.xz

## Class CorruptedInputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.tukaani.xz.XZIOException
        - - org.tukaani.xz.CorruptedInputException

All Implemented Interfaces:
  `Serializable`

    public class CorruptedInputException
    extends XZIOException

Thrown when the compressed input data is corrupt. However, it is possible that some or all of the data already read from the input stream was corrupt too.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`CorruptedInputException()` Creates a new CorruptedInputException with the default error detail message.
`CorruptedInputException​(String s)` Creates a new CorruptedInputException with the specified error detail message.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### CorruptedInputException

    public CorruptedInputException()

Creates a new CorruptedInputException with the default error detail message.

#### CorruptedInputException

    public CorruptedInputException​(String s)

Creates a new CorruptedInputException with the specified error detail message.

Parameters:
  `s` - error detail message